import { scaleOrdinal } from 'd3';

const colorScale = scaleOrdinal()
  .domain(['apple', 'lemon'])
  .range(['#c11d1d', '#eae600']);

const radiusScale = scaleOrdinal()
  .domain(['apple', 'lemon'])
  .range([50, 30]);

const myData = Math.PI*100 

const xPosition = (d, i) => i * 100 + 100;
const yPosition = (d, i) => i * 100 + 100;

export const fruitBowl = (selection, props) => {
  const { fruits, height } = props;
  const circles = selection.selectAll('circle')
    .data(fruits, d => d.id);
  circles
    .enter().append('circle')
      .attr('cx', xPosition)
      .attr('cy', yPosition)
      .attr('r', 0)
    .merge(circles)
      .attr('fill', d => colorScale(d.type))
    .transition().duration(1000)
      .attr('cx', xPosition)
      .attr('cy', 300)
      .attr('r', d => radiusScale(d.type));
  circles.exit()
    .transition().duration(1000)
      .attr('r', 0)
    .remove();
}